xcb_ungrab_pointer(3)

NAME
xcb_ungrab_pointer - release the pointer

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_ungrab_pointer(xcb_connection_t *conn, xcb_timestamp_t time);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

time
    Timestamp to avoid race conditions when running X over the network. The pointer will not be released if time is earlier than the last-pointer-grab time or later than the current X server time.

DESCRIPTION
Releases the pointer and any queued events if you actively grabbed the pointer before using xcb_grab_pointer, xcb_grab_button or within a normal button press. EnterNotify and LeaveNotify events are generated.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_ungrab_pointer_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO
xcb-requests(3), xcb_enter_notify_event_t(3), xcb_grab_button(3), xcb_grab_pointer(3), xcb_leave_notify_event_t(3)

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.